/****************************************************************************
 * 아이디, 패스워드 엔터 이벤트
 ****************************************************************************/
function fn_enter(e){
    if(e.which){
        // 파이어폭스
        if(13 == e.which) {
            //로그인 액션 스크립트
            fn_login();
        }
    }
    else{
        // 윈도우, 사파리, 크롬
        if(13 == event.keyCode) {
            //로그인 액션 스크립트
            fn_login();
        }
    }
}

/****************************************************************************
 * 로그인 이벤트
 ****************************************************************************/
function fn_login(){
    let loginId  = $("#loginId").val();
    let password = $("#password").val();

    if(true != fn_emptyCheck(loginId)){
        modalEvent.warning("", "아이디를 입력하세요");
        $("#loginId").focus();
        return;
    }

    if(true != fn_emptyCheck(password)) {
        modalEvent.warning("", "비밀번호를 입력하세요");
        $("#password").focus();
        return;
    }

    // 로그인할 때 한 번 더 호출
    getDeviceInfo();

    let formData = new FormData();
    formData.append("loginId", loginId);
    formData.append("password", password);
    formData.append("deviceUuid", deviceUuid1);
	formData.append("phoneType", phoneType1);
	formData.append("modelName", modelName1);
	formData.append("osVersion", osVersion1);
	formData.append("pushKey", pushKey1);
	formData.append("appVersion", appVersion1);
	formData.append("deviceYn", deviceYn);

    $.ajax({
        url: encodeURI('/mobilelogin/login.do'),
        data: formData,
        dataType: 'json',
        processData: false,
        contentType: false,
        type: 'POST',
        async: true,
        success: function(data){
            if('0'==data.msgCode){
                setLoginInfo(loginId,password,"MU");
                // location.href = '/home';
                fn_leftFormAction("/home");
            }
            else{
                modalEvent.danger("로그인 오류", data.msgDesc);
            }
        },
        error : function(xhr, status, error) {
            modalEvent.danger("로그인 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
        },
        beforeSend:function(){

        },
        complete:function(){

        }
    });
}

/****************************************************************************
 * 로그인 이벤트 (카카오)
 ****************************************************************************/
function loginWithKakao(){
    Kakao.Auth.authorize({
        redirectUri : 'http://nrm.madeu.co.kr/mobilesnslogin/kakaoLoginCallBackIntro.do'
        // redirectUri: 'http://localhost:8080/mobilesnslogin/kakaoLoginCallBackIntro.do',
    });
}

/****************************************************************************
 * 페이지 init
 ****************************************************************************/
function fn_pageInit(){
    getDeviceInfo();

    // getLoginInfo();

    <!--kakao-->
    Kakao.init('5b8e8d554e06d9b6cd5f1fb628ed301a');
    Kakao.isInitialized();

    <!--apple-->
    // AppleID.auth.init({
    //     clientId : 'com.play-entree.mobile',
    //     scope : 'email',
    //     redirectURI : 'http://nrm.madeu.co.kr/mobilesnslogin/appleLoginCallBackIntro.do',
    //     state : 'play-entree',
    //     nonce : 'entree',
    //     usePopup : false //or false defaults to false
    // });

    <!--naver-->
    let clientId = "EhgHX46SiQBMflqt41YB";
    let callbackUrl = "http://nrm.madeu.co.kr/mobilesnslogin/naverLoginCallBackIntro.do";
    // let callbackUrl = "http://localhost:8080/mobilesnslogin/naverLoginCallBackIntro.do";
    let naverLogin = new naver.LoginWithNaverId({
        clientId: clientId,
        callbackUrl: callbackUrl,
        isPopup: false,
        loginButton: {color: "green", type: 1, height: 50}
    });

    naverLogin.init();

    $(document).on("click", "#naverLogin", function(){
        let btnNaverLogin = document.getElementById("naverIdLogin").firstChild;
        btnNaverLogin.click();
    });
}

/****************************************************************************
 * 페이지 event
 ****************************************************************************/
function fn_pageEvent(){
    // 아아디 keypress
    $(document).on('keypress', '#loginId', function(e) {
        fn_enter(e);
    });

    // 비밀번호 keypress
    $(document).on('keypress', '#password', function(e) {
        fn_enter(e);
    });

    // 로그인 버튼
    $("#btnLogin").click(function () {
        fn_login();
    });

    // 회원가입 버튼
    $("#btnJoin").click(function () {
        fn_joinIntro();
    });

    // 계정찾기 버튼
    $("#btnFindAccount").click(function () {
        fn_findAccountIntro();
    });

    // 비밀번호 찾기 버튼
    $("#btnFindPassword").click(function () {
        fn_findPasswordIntro();
    });

    $("#naverLogin").on("click", function(){
        let btnNaverLogin = document.getElementById("naverIdLogin").firstChild;
        btnNaverLogin.click();
    });

}

$(function(){
    // 페이지 init
    fn_pageInit();

    // 페이지 event
    fn_pageEvent();
});